$(function(){
	$(window).keydown(function(event){
		if(event.keyCode == 13) {
			event.preventDefault();
		}
	});

	if (window.active_page != "") {
		$(`a[data-active-page="${window.active_page}"]`).addClass("active");
	}

	if (screen.width > 765) {
		$("[data-bs-toggle='tooltip']").tooltip();
		$("[data-bs-toggle='popover']").popover();
	}

	$(document).on("focus", ".valor-monetario", function(){ 
		$(this).mask('#.##0,00', {reverse: true});
	});
	$(".valor-monetario").mask('#.##0,00', {reverse: true});

	$(document).on("focus", ".data", function(){ 
		$(this).mask("00/00/0000");
	});
	$(".data").mask("00/00/0000");

	$(document).on("focus", ".data-hora", function(){ 
		$(this).mask("00/00/0000 00:00:00");
	});
	$(".data-hora").mask("00/00/0000 00:00:00");

	$(document).on("focus", ".cnh", function(){ 
		$(this).mask("00000000000", {reverse: true});
	});
	$(".cnh").mask("00000000000", {reverse: true});

	$(document).on("focus", ".rg", function(){ 
		$(this).mask("00000000-0", {reverse: true});
	});
	$(".rg").mask("00000000-0", {reverse: true});

	$(document).on("focus", ".cpf", function(){ 
		$(this).mask("000.000.000-00", {reverse: true});
	});
	$(".cpf").mask("000.000.000-00", {reverse: true});

	$(document).on("focus", ".cnpj", function(){ 
		$(this).mask("00.000.000/0000-00", {reverse: true});
	});
	$(".cnpj").mask("00.000.000/0000-00", {reverse: true});

	$(document).on("focus", ".cep", function(){ 
		$(this).mask("00000-000", {reverse: true});
	});
	$(".cep").mask("00000-000", {reverse: true});

	$(document).on("focus", ".telefone-fixo", function(){ 
		$(this).mask("(00) 0000-0000");
	});
	$(".telefone-fixo").mask("(00) 0000-0000");

	$(document).on("focus", ".telefone-celular", function(){ 
		$(this).mask("(00) 00000-0000");	
	});
	$(".telefone-celular").mask("(00) 00000-0000");

	$(document).on("focus", ".telefone-misto", function(){
		$(this).mask(function(val){
			return (val.replace(/\D/g, "").length === 11) ? "(00) 00000-0000" : "(00) 0000-00009";
		}, {
			onKeyPress: function(val, e, field, options) {
				field.mask(function(val){
					return (val.replace(/\D/g, "").length === 11) ? "(00) 00000-0000" : "(00) 0000-00009";
				}.apply({}, arguments), options);
			}
		});
	});
	$(".telefone-misto").mask(function(val){
		return (val.replace(/\D/g, "").length === 11) ? "(00) 00000-0000" : "(00) 0000-00009";
	}, {
		onKeyPress: function(val, e, field, options) {
			field.mask(function(val){
				return (val.replace(/\D/g, "").length === 11) ? "(00) 00000-0000" : "(00) 0000-00009";
			}.apply({}, arguments), options);
		}
	});

	$(document).on("focus", ".placa-veiculo", function(){ 
		$(this).mask("SSS-0A00");
		$(this).css({textTransform: "uppercase"});
	});
	$(".placa-veiculo").mask("SSS-0A00");
	$(".placa-veiculo").css({textTransform: "uppercase"});

	$(document).on("focus", ".calendario", function(){ 
		$(this).datepicker({
			language: "pt-BR",
			position: "bottom left",
			timepicker: false,
			dateFormat: "dd/mm/yyyy",
			timeFormat: "hh:ii AA"
		});
	});
});